Quote

Option Quotes

WSRequest · cmd 12

This API is used to obtain the real-time quotes of US stock options, including the option-specific data.

message MultiSecurityRequest {
  repeated string symbol = 1;
}

message OptionQuoteResponse {
  repeated OptionQuote secu_quote = 1;
}
Quote Permission RequiredOPRA
  • No US options quote permission by default for new funded accounts.
  • Purchase "OPRA US Options Quotes (OpenAPI)" in the Quote Store to access US options real-time data.

Request parameters

NameTypeRequiredDescription
symbolstring[]RequiredSecurity code list. obtain the symbol of the options through the optionchain API, for example: [BABA230120C160000.US]. Max 500 symbols per request

Response fields

NameTypeRequiredDescription
secu_quoteobject[]OptionalOptions quote
└ symbolstringOptionalSecurity code
└ last_donestringOptionalLatest price
└ prev_closestringOptionalYesterday's close
└ openstringOptionalOpen
└ highstringOptionalHigh
└ lowstringOptionalLow
└ timestampint64OptionalTime of latest price
└ volumeint64OptionalVolume
└ turnoverstringOptionalTurnover
└ trade_statusint32OptionalSecurity trading status, see TradeStatus
└ option_extendobjectOptionalOption extend quote
 └ implied_volatilitystringOptionalImplied volatility
 └ open_interestint64OptionalNumber of open positions
 └ expiry_datestringOptionalExpiry date, in YYMMDD format
 └ strike_pricestringOptionalStrike price
 └ contract_multiplierstringOptionalContract multiplier
 └ contract_typestringOptionalOption type: A - American, U - Europe
 └ contract_sizestringOptionalContract size
 └ directionstringOptionalDirection: P - put, C - call
 └ historical_volatilitystringOptionalUnderlying security historical volatility of the option
 └ underlying_symbolstringOptionalUnderlying security symbol of the option

Response JSON example

{
  "secu_quote": [
    {
      "symbol": "AAPL220429P162500.US",
      "last_done": "7.78",
      "prev_close": "4.13",
      "timestamp": 1651003200,
      "volume": 3082,
      "turnover": "1813434.00",
      "option_extend": {
        "implied_volatility": "0.592",
        "open_interest": 11463,
        "expiry_date": "20220429",
        "strike_price": "162.50",
        "contract_type": "A",
        "direction": "P",
        "underlying_symbol": "AAPL.US"
      }
    }
  ]
}